// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdSdkUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdSdkUiKitComponents", targets: ["WebIdSdkUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .upToNextMinor(from: "8.4.5")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "11.3.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdSdkUiKitComponents/10.3.1/WebIdSdkUiKitComponents.framework-v10.3.1.zip",
            checksum: "ca7cdbada373cbbf8b9e7db8dc49a38f81fc0e10e16304488a81fb70b740ec9c"
        ),
        .target(
            name: "WebIdSdkUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdSdkUiKitComponents"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
